# findPlugin

@Nullable
abstract fun findPlugin(id: String): @Nullable Plugin

Returns the plugin for the given id.

#### Return

the plugin or null if no plugin for the given id exists.

#### Parameters

id

The id of the plugin

@Nullable
abstract fun <T : Plugin?> findPlugin(type: Class<T>): @Nullable T

Returns the plugin for the given type.

#### Return

the plugin or null if no plugin for the given type exists.

#### Parameters

type

The type of the plugin